Create file or folder
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files"
payload = {
"type": "folder",
"name": "Untitled",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "folder",
"name": "Untitled",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "file",
"encrypted": true,
"type": "file",
"name": "<string>",
"name_enc": {},
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org",
"record_type": "<string>",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Files
Create file or folder
POST
/
orgs
/
{org_id}
/
files
Create file or folder
import requests
url = "https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files"
payload = {
"type": "folder",
"name": "Untitled",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://vued-office-api-dev.onrender.com/v1/orgs/{org_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "folder",
"name": "Untitled",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "file",
"encrypted": true,
"type": "file",
"name": "<string>",
"name_enc": {},
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visibility": "org",
"record_type": "<string>",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Created file.
Available options:
file Available options:
file, folder Available options:
org, restricted Last modified on July 8, 2026